Page MenuHomePhabricator

evas_vg_cache: Don't caching vg file if value_provider is applied.
ClosedPublic

Authored by jsuya on Jun 3 2020, 5:49 AM.

Details

Summary

value_provider can change the value of the property received from VG file.
When a file is cached, the changed properties are applied to all other objects using the same file.
So. If value provider is applied, evas_vg_cache is not caching vg file.

Test Plan

N/A

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
jsuya created this revision.Jun 3 2020, 5:49 AM
jsuya requested review of this revision.Jun 3 2020, 5:49 AM
Hermet requested changes to this revision.Jun 7 2020, 7:09 PM

Please check my comments.

src/lib/evas/canvas/evas_vg_private.h
140

Not good.. It must be like this, evas_cache_vg_file_open(file, key, evas, shareable);

src/lib/evas/vg/evas_vg_cache.c
155–156

vp_list doesn't need to be invovled here,

332

When sharable is false, it has to create independent vfd which doesn't lookup the hash.

This revision now requires changes to proceed.Jun 7 2020, 7:09 PM
jsuya added a comment.Jun 7 2020, 7:30 PM

I think it may be difficult to find or delete the vfd with vp applied as different vfd objects are added to the same key at vg_cache->vfd_hash.

jsuya planned changes to this revision.Jun 7 2020, 7:38 PM

Please ignore my comment. I will update this patch as soon as possible.

jsuya updated this revision to Diff 30557.Jun 8 2020, 1:12 AM

Update patch

  • add shareable parameter
jsuya updated this revision to Diff 30558.Jun 8 2020, 1:16 AM
jsuya retitled this revision from evas_vg_cache: Add value_provider to hash string for caching vg file to evas_vg_cache: Don't caching vg file if value_provider is applied..
jsuya edited the summary of this revision. (Show Details)

update commit message

jsuya marked 3 inline comments as done.Jun 8 2020, 1:16 AM
Hermet accepted this revision.Jun 8 2020, 6:56 PM

great!

This revision is now accepted and ready to land.Jun 8 2020, 6:56 PM
This revision was automatically updated to reflect the committed changes.